Subject: RE: c_can: TX handling

From: Jan Altenberg <[email-masked]>
Date: Thu, 24 Mar 2011 11:56:41 +0100

Hi,

> Thanks for your work on c_can.
> This week has been very busy for me, so please excuse me for the late reply.

No problem.

> Just to better understand this can you send me your *candump* output
> when you see that the message object put earlier in the message RAM
> being pending on the line.
> 
> Your point seems valid but I want to make sure that this is not done by the 
> C_CAN core implicitly..  

I'll try to prepare a (stripped down) test-case, but since I'm quite
busy at the moment, that might take a couple of days.
I'm quite sure, I've seen such a situation, but first of all, I'd like
to sort out, if that was related to the "DA mode".

Cheers,
	Jan